Skip to Content
avatar image
Former Member

SPS 18 Installation fails while asking for Java Crypthography Extension

Hi @ all,

some weeks ago we deployed the file "tc_sec_java_crypto_signed_fs_lib.sda by the SDM. But we didn´t enabled strong encryption in the portal.

Now, i want to update my portalstack from SPS 14 to SPS 18 and while i update J2EE Sapinstaller asks for Java Crypthography Extension-Source-Code. But i don´t want to install it, because automatically the database is set to strong encryption and i can´t use / administrate in anymore.

I still undeployed the IAEK-FS-File but the problem persists.

I´m very pleasent for every answer.

Best Regards

Lars

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

3 Answers

  • Best Answer
    avatar image
    Former Member
    Jan 02, 2007 at 11:07 AM

    Hi,

    Just remove the file \usr\sap\<Systemname>\SYS\global\security\lib\engine\iaik_jce.jar which is deployed during installation of SAP CryptographicToolkit. Then the Stack don't asks for install Java Cryptography Extension.

    Best Regards

    Sascha

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Dec 27, 2006 at 03:08 PM

    Hi,

    If you also upgraded JDK, its possible that some files got overwritten, check this note:

    Note 754699 - Problems with User Mapping after changing JDK

    Regards,

    Siddhesh

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Jan 02, 2007 at 11:23 AM

    Hey @ all,

    any further ideas?

    Greetingz

    Lars

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hey,

      that´s fine Sascha.

      It works greatly. SPS 18 not asking für JCE anymore.

      The Installation is now running.

      Thx a lot!

      Greetingz

      Lars